How to downgrade current build

6 posts, 0 answers
  1. Phil Borland
    Phil Borland avatar
    6 posts
    Member since:
    Jan 2006

    Posted 07 Feb 2013 Link to this post

    Hello,

    I recently made the mistake of upgrading telerik reports on my desktop PC from 6.2.12.1017 to 6.2.13.110.
    My intention was that new projects utilising telerik reports would use the latest build. I do however still need to support older builds that have been deployed to existing customers.
    I'm finding that when I attempt to edit an older version of my report whose project references the 6.2.12 build of telerik the report designer no longer works? I get the following error: 
    Value cannot be null. Parameter name: instance 

    I must be able to support older builds of my software as not all my customers upgrade at the same time so I therefore need to downgrade telerik reports on my system from 6.2.13.110 to 6.2.12.1017 which I hope will fix my issue.
    Can somebody point me in the right direction where I can download this specific build so I can reinstall it and begin designing my reports again.

    Thanks in advance
  2. Steve
    Admin
    Steve avatar
    10941 posts

    Posted 07 Feb 2013 Link to this post

    Hi Phil,

    There are two kinds of Telerik Reporting versions -- major and minor. Major versions such as Q2 2012, Q3 2012, etc. can coexist simultaneously on the same machine. Minor versions are also known as Service Packs. There can be only one Service Pack installed per major version, i.e. if you had v Q3 2012 and a Service Pack Q3 2012 SP1 is released, the Q3 2012 version would be uninstalled and the Service Pack would be installed on top. This information is available in Upgrading to a Newer Version of Telerik Reporting help article.

    So if you do not want to upgrade projects created with Q3 2012 (although the SP1 is not drastically changed and mainly contains fixes), you would have to uninstall the current version and download and install the Q3 2012 release. You would have to log-in to our web site, navigate to the purchased version of Telerik Reporting and choose "Older Versions". You would be able to find 6.2.12.1017 among those versions.

    Greetings,
    Steve
    the Telerik team

    HAPPY WITH REPORTING? Do you feel that it is fantastic? Or easy to use? Or better than Crystal Reports? Tell the world, and help fellow developers! Write a short review about Telerik Reporting and Telerik Report Designer in Visual Studio Gallery today!

  3. DevCraft banner
  4. Mike
    Mike avatar
    31 posts
    Member since:
    Apr 2009

    Posted 20 Mar 2013 Link to this post

    Hi Steve,

    I have just installed Telerik Reporting Q3 2012 Build 6.2.12.1123 on my Windows 7 Development PC.
    I have opened an existing project that has references to Telerik Reporting Build 6.2.12.1017 and have found that I cannot edit reports using the designer due to the following exception "Value cannot be null. Parameter name: instance".
    I get this error in all my reports.
    I have no problems designing reports when using a new project but I cannot edit existing projects using a build prior to the one installed on my PC. I have attempted to download build 6.2.12.1017 via my account but it always refers me to the 1123 build instead.
    Do you have any idea how I can get around this. I must be able to support older versions of reporting as they correspond to older versions of our software that customers have?

    Thanks in advance

    Mike 
  5. Stef
    Admin
    Stef avatar
    3041 posts

    Posted 25 Mar 2013 Link to this post

    Hi Mike,

    The exception is caused by the mismatching versions. Basically, Telerik Reporting major versions can exist side by side, whereas major a minor versions (official release and internal builds) override each other. In addition, Visual Studio loads the components for the latest installed version, so if you need to design in Visual Studio reports created by an older version, all newer versions should be uninstalled.

    In order to get Telerik Reporting 6.2.12.1017 go to Manage Products-> DevCraft Complete -> Download -> Reporting Older versions ->  6.2. 12.1017 -> Automatic Installation.

    Generally you can use the Upgrade Wizard even for downgrade operation. 

    I hope this helps.

    Kind regards,
    Stef
    the Telerik team

    Telerik Reporting Q1 2013 available for download with impressive new visualizations. Download today from your account.

  6. Paul Coakley
    Paul Coakley avatar
    6 posts
    Member since:
    Dec 2008

    Posted 16 May Link to this post

    This topic has been haunting me the whole and I still can't find any way to download an older version of the Telerik Report Designer. I've read countless of forum threads they are all out-dated.

    I've tried the all sorts of installers and still can't find a way to install an older version of the Report Designer.

    The version I'm trying to down needs...

    1. Support for VS 2015

    2. Support for Telerik Reporting 7.2.13.1016 (Q3 2013 7.2.13.1016)

     

    Can someone from Telerik point in the right direction? Is it even possible?

    Thanks,

     

    Leonel Padron

  7. Stef
    Admin
    Stef avatar
    3041 posts

    Posted 18 May Link to this post

    Hello Leonel,

    Support for VS2015 is added as of Q3 2015 which was released at the time of the official release of VS2015. In order to have a Report Designer and wizards in VS2015 you need a version greater than Q3 2015.

    In parallel you can install the older Q3 2013 version and use the Upgrade Wizard to downgrade the developed items. To have major versions installed in parallel, you need to use the MSI files - Installing Telerik Reporting.


    I hope this information is helpful.

    Regards,
    Stef
    Telerik
    Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Feedback Portal and vote to affect the priority of the items
Back to Top
DevCraft banner